Description 1
Device IP address
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.38783.2.1.1
Device IP address
Identification
{1 3 6 1 4 1 38783 2 1 1}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it.
| Value | Name | Source variants |
|---|---|---|
| 0 | No | 2 |
| 1 | Yes | 2 |
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 3 distinct definitions; some records may not include a definition.
deviceIPAddress OBJECT-TYPE
SYNTAX IpAddress
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Device IP address"
::= { network 1 }trapEnabled OBJECT-TYPE
SYNTAX INTEGER { Yes(1), No(0) }
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Indicates if this trap entry is enabled or not."
::= { trapSetup 1 }name OBJECT-TYPE
SYNTAX DisplayString
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"Name of product"
::= { product 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Description 1
Device IP address
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Description 2
Indicates if this trap entry is enabled or not.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Description 3
Name of product
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: deviceIPAddress
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"deviceIPAddress",
"OBJECT-TYPE",
"SYNTAX",
"IpAddress",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Device IP address\"",
"::=",
"{",
"network",
"1",
"}"
],
"syntax_tree": [
[
"ApplicationSyntax",
"IpAddress",
null
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Device IP address"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive.
Module: TERACOM-TCW121-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive.
Module: TERACOM-TCW111-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.
· Download TERACOM-TCW111-MIBStatus in source: mandatory.
Names: trapEnabled
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"trapEnabled",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"Yes",
"(",
"1",
")",
",",
"No",
"(",
"0",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Indicates if this trap entry is enabled or not.\"",
"::=",
"{",
"trapSetup",
"1",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"Yes",
1
],
[
"No",
0
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Indicates if this trap entry is enabled or not."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive.
Module: TERACOM-TCW120-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Vendor MIB copy from the Observium Community archive.
Module: TERACOM-TCW110-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Status in source: current.
Names: name
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"name",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\"Name of product\"",
"::=",
"{",
"product",
"1",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"Name of product"
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: TERACOM-TCW220-MIB
See published definition above
{'SNMPv2-TC': ['DateAndTime', 'MacAddress', 'DisplayString', 'TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'enterprises', 'IpAddress', 'Integer32', 'snmpModules'], 'SNMPv2-CONF': ['MODULE-COMPLIANCE', 'OBJECT-GROUP', 'NOTIFICATION-GROUP']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.38783.2.1.2 | version, trapReceiverIPAddress, subnetMask | 0 | 0 | |
| 1.3.6.1.4.1.38783.2.1.3 | dateTime, trapCommunity, gateway | 0 | 0 | |
| 1.3.6.1.4.1.38783.2.1.4 | trapInterval, deviceMACAddress | 0 | 0 | |
| 1.3.6.1.4.1.38783.2.1.5 | maxNumberOfTraps, dhcpConfig | 0 | 0 | |
| 1.3.6.1.4.1.38783.2.1.6 | digitalInput1State, dns, voltage1range, DNS | 2 | 2 | |
| 1.3.6.1.4.1.38783.2.1.7 | digitalInput2State, hostName, temeratureRange | 2 | 2 | |
| 1.3.6.1.4.1.38783.2.1.8 | voltage1range, timeServer | 2 | 2 | |
| 1.3.6.1.4.1.38783.2.1.9 | voltage2range, timeZone | 2 | 2 | |
| 1.3.6.1.4.1.38783.2.1.10 | temeratureRange, VLAN | 2 | 2 | |
| 1.3.6.1.4.1.38783.2.1.11 | macFilter | 6 | 6 | |
| 1.3.6.1.4.1.38783.2.1.12 | SMTP | 3 | 3 | |
| 1.3.6.1.4.1.38783.2.1.13 | SNMP | 6 | 6 |